An error occurred while installing mysql2 (0.3.15)

"Gem files will remain installed in /var/lib/gems/1.9.1/gems/mysql2-0.3.15 for inspection. Results logged to /var/lib/gems/1.9.1/gems/mysql2-0.3.15/ext/mysql2/gem_make.out
An error occurred while installing mysql2 (0.3.15), and Bundler cannot continue.
Make sure that `gem install mysql2 -v '0.3.15'` succeeds before bundling.
"

Este erro ocorre se você não tiver o my-sql instalado. Para resolver o problema mencionado no erro acima, siga os passos abaixo:

1. Abrir o terminal e entrar com os seguntes comando:
sudo apt-get install mysql-client libmysqlclient-dev {Enter}
sudo gem install mysql2 {enter}

2. Abrir o arquivo Gemfile e acrescentea gem: gem 'mysql2', '~> 0.3.15'

3. Agora é só concluior com: bundle install

Comentários

LEIA-ME

Criar ferramentas e scripts que facilitam seu trabalho no dia a dia, solucionar problemas, documentar tudo e criar o passo a passo de como resolver, é uma tarefa que requer tempo e disposição. Por esse motivo, precisamos de sua contribuição.




Apesar de não ser obrigatória, a sua doação é muito importante para continuarmos criando ferramentas, scripts e procedimentos!
Com sua contribuição manteremos o funcionamento e desenvolvimento dessas e outras soluções.